<?php

@unlink('update_appkey.php');

//Required to autoload the namespaces
require_once 'vendor/autoload.php';

$key = \Defuse\Crypto\Key::createNewRandomKey();
        $privateKey = openssl_pkey_new([
            'private_key_bits' => 2048,
            'private_key_type' => OPENSSL_KEYTYPE_RSA,
        ]);
        openssl_pkey_export($privateKey, $apiPrivateKey);
        $apiPublicKey = openssl_pkey_get_details($privateKey)['key'];

echo '<publickey>'.$apiPublicKey.'</publickey>';
echo '<privatekey>'.$apiPrivateKey.'</privatekey>';

?>
